## hslogger 1.0.4

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PROJECT := hslogger
GHCPARMS := -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -cpp

.PHONY: all hugsbuild
all: setup			# GHC build
	./setup configure
	./setup build

hugsbuild: setup
	./setup configure --hugs
	./setup build

setup: Setup.hs $(PROJECT).cabal
	ghc -package Cabal Setup.hs -o setup

doctmp/%.hs: %.lhs doctmp
	mkdir -p `dirname $@`
	$(UNLIT) $< $@

doctmp:
	mkdir doctmp

.PHONY: doc
doc: $(LHSCONVSOURCES) setup
	-rm -rf html
	./setup configure
	./setup haddock
#	haddock $(HADDOCKARGS) --package=$(PROJECT) \
#	   --dump-interface=html/$(PROJECT).haddock \
#	   -t '$(PROJECT) API Manual' -h -o html $(HUGSCONVSOURCES) $(LHSCONVSOURCES)
	mv dist/doc/html .

.PHONY: hugsbuild


clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		local-pkg doctmp
	-rm -rf testtmp/*

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: all $(wildcard testsrc/*.hs) $(wildcard testsrc/*/*.hs) $(wildcard testsrc/*/*/*.hs)
	cd testsrc && ghc --make -package mtl -package HUnit $(GHCPARMS) -o runtests  -i../dist/build:../src runtests.hs

test-ghc6: testsrc/runtests
	testsrc/runtests

test-hugs: 
	runhugs -98 +o "-Fcpphs --noline" -P$(PWD)/src:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/dist/build:

interact-ghci: all
	ghci -idist/build -Ldist/build $(GHCPARMS)

interact: interact-hugs

test: test-ghc6 test-hugs

## hslogger 1.0.2

=== debian/changelog ===
hslogger (1.0.2) unstable; urgency=low

  * Modify Makefile to not use FilePath for testing.  Closes: #403339.
  * Don't try to test on hugs (removes need for invalid build-dep
    on libhugs-hunit)

 -- John Goerzen <jgoerzen@complete.org>  Sun, 21 Jan 2007 21:12:04 -0600

hslogger (1.0.1) unstable; urgency=low

  * Fixed typo in debian/control.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Dec 2006 05:57:03 -0600

hslogger (1.0.0) unstable; urgency=low

  * Initial release.  Closes: #401929.
  * This package used to be a part of MissingH and was split off as part
    of the MissingH transition plan.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  6 Dec 2006 05:03:53 -0600

missingh (0.16.3) unstable; urgency=low

  * New version
  * New module MissingH.ProgressTracker which tracks the progress
    of long-running tasks.  It can also give estimated time to completion
    and overall speed statistics, as well as support dividing a task
    into many subtasks.
  * New module MissingH.ProgressMeter which displays one or more
    ProgressTrackers as a status bar on a console.
  * New module MissingH.Quantity which renders numbers according
    to a quantification system such as SI or binary
  * New functions forkRawSystem and pOpen3Raw in MissingH.Cmd.  Instead
    of taking functions to run as actions, instead returns the PID
    of the child process and leaves it up to the programmer to properly
    handle the result.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Nov 2006 05:52:08 -0600

missingh (0.16.2) unstable; urgency=low

  * Documented Quantity.hs
  * Fixed missing libghc6-*-dev deps from GHC 6.6.  Closes: #394580.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 21 Oct 2006 19:51:08 -0500

missingh (0.16.1) unstable; urgency=low

  * Fix up dependencies

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 05:24:04 -0500

missingh (0.16.0) unstable; urgency=low

  * NEW: MissingH.Quantity that is used to render numbers as binary
    units (MB, KB, etc) or SI units, or other similar units
  * NEW: MissingH.ProgressTracker that is used to track the progress
    of long-running tasks, measure their speed, and give estimated
    completion times
  * Update to support GHC 6.6
    + Remove FiniteMap support everywhere (no longer supported in GHC)
    + Remove MissingH.Printf (has been deprecated since 0.13.0 due to
      Text.Printf)
    + Update README
    + Fix MissingH.FTP.Server for GHC 6.6.0 compatibility
    + Update cabal file for GHC 6.6 compatibility
  * Patch from Jeremy Shaw to add to MissingH.HUnit the ability to turn
    QuickCheck tests into HUnit tests
  * Patch from Joe Edmonds to MissingH.Wash.Mail.MailParser to
    accept a slight violation of RFC2822 in which date headers may have
    a single-digit date
  * Fix a logic error in MemoryBuffer's vPutStr that could corrupt
    data when a write occurs after a seek, and wrote a test to
    detect this condition.  Thanks to Bulat Ziganshin for finding this.
  * New function in MissingH.List to merge two sorted lists into
    a single sorted whole.  Patch from Clifford Beshers.
  * Work around lack of signals on Windows in MissingH.Cmd.
  * Make sure Data.Bits is imported in MissingH.IO.StatCompat.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 19 Oct 2006 04:38:10 -0500

missingh (0.14.5) unstable; urgency=low

  * New function: MissingH.Cmd.posixRawSystem
  * MissingH.Cmd.safeSystem now implemented in terms of posixRawSystem 
    on supported platforms.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Jul 2006 11:34:49 -0500

missingh (0.14.4) unstable; urgency=low

  * Fix a bug in ConfigParser.merge and write a test for it.
  * Rebuilt with GHC 6.4.2

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 14:05:56 -0500

missingh (0.14.3) unstable; urgency=low

  * IO/StatCompat: Fixed missing Data.Bits import on mingw32 
  * Updated COPYING file with new FSF address
  * Cmd.hs: Commented out code that was never used
  * Import new package MD5 0.2.7 from Ian Lynagh

 -- John Goerzen <jgoerzen@complete.org>  Wed, 28 Jun 2006 03:48:24 -0500

missingh (0.14.2) unstable; urgency=low

  * ConfigParser gives more helpful error messages when possible --
    it now includes section and option in most error messages
  * Unit tests updated for new ConfigParser output
  * MissingH.Str: New function escapeRe that takes a string and makes
    a regular expression that matches the string literally.
  * MissingH.IO.HVFS: New function vDoesExist
  * MissingH.List: New function hasAny
  * New modules: MissingH.Path.Glob and MissingH.Path.WildMatch
    and tests for them
  * 716 total unit tests now

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:14:10 -0500

missingh (0.14.0) unstable; urgency=low

  * New function splitWs
  * Loggers: When creating new loggers, use the new parent for defaults
    when possible. [API change]
  * Logger handlers: Now pass the calling logger name to handlers.
    [API change]
  * New log handler: verboseStreamHandler
  * Syslog handler also includes priority and logger name for each message.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  4 Apr 2006 05:31:15 -0500

missingh (0.13.1) unstable; urgency=low

  * Note Build-Depends on HUnit in MissingH.Cabal.  Closes: #356196.
  * MissingH.IO.HVIO: No longer return EOFError when vGetContents called
    at EOF, for compatibility with hGetContents.  Reported by
    Bulat Ziganshin.
  * MissingH.IO.HVFS.Utils: Applied suggestion from Bulat
    to make recursiveRemove cleaner.
  * MissingH.IO.HVIO: Minor bugfixes suggested by Bulat.
  * Updated, fixed typos, and enhanced various docs.
  * testsrc/Listtest: Added unit tests for spanList
  * MissingH.List: Replaced implementation of spanList with one
    suggested by Bulat.
  * Added ghc6 (>= 6.4.1) to Debian build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 11 Mar 2006 12:26:03 -0600

missingh (0.13.0) unstable; urgency=low



=== debian/control ===
Source: hslogger
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev
Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
Standards-Version: 3.6.2
Section: devel

Package: libghc6-hslogger-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev
Suggests: hslogger-doc
Description: The Haskell Logging Framework, GHC package
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.

Package: libhugs-hslogger
Section: devel
Architecture: all
Depends: ${haskell:Depends}
Suggests: hslogger-doc
Description: The Haskell Logging Framework, Hugs package
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.

Package: hslogger-doc
Section: doc
Architecture: all
Description: The Haskell Logging Framework, API Documentation
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.

## hslogger 1.0.3

=== debian/changelog ===
hslogger (1.0.3) unstable; urgency=low

  * Update for new ghc 6.6.1.
  * Update for new hugs.  Closes: #419616.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 01 Jun 2007 04:02:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hslogger
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs, libhugs-hunit, libhugs-mtl, libhugs-network
 Standards-Version: 3.6.2
 Section: devel
 
@@ -23,7 +23,7 @@
 Package: libhugs-hslogger
 Section: devel
 Architecture: all
-Depends: ${haskell:Depends}
+Depends: ${haskell:Depends}, libhugs-mtl, libhugs-network
 Suggests: hslogger-doc
 Description: The Haskell Logging Framework, Hugs package
  hslogger is a logging framework for Haskell, roughly similar to

## hslogger 1.0.4

=== debian/changelog ===
hslogger (1.0.4) unstable; urgency=low

  * Updated for ghc6 6.8.x.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Jan 2008 03:16:25 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hslogger
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.5.6), ghc6 (>= 6.6), cpphs, libhugs-hunit, libhugs-mtl, libhugs-network
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.8), cpphs, libhugs-hunit, libhugs-mtl, libhugs-network
 Standards-Version: 3.6.2
 Section: devel

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	make test-ghc6

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	#make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	#make test-hugs

# Build architecture-independent files here.
binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hslogger 1.0.5.0

=== debian/changelog ===
hslogger (1.0.5.0) unstable; urgency=low

  * Fix bug in .cabal file.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 29 Feb 2008 06:27:45 -0600

## hslogger 1.0.7.2

=== debian/changelog ===
hslogger (1.0.7.2) unstable; urgency=high

  * Rebuild with newer GHC

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 15:38:35 -0600

hslogger (1.0.7.1) unstable; urgency=low

  * Fix for GHC 6.10 compatibility

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Dec 2008 08:40:49 -0600

hslogger (1.0.6.2) unstable; urgency=low

  * Added dh_haskell_depends

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Dec 2008 13:24:42 -0600

hslogger (1.0.6.1) unstable; urgency=low

  * Added dep on libghc6-time-dev.  Closes: #501886.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 13 Oct 2008 16:01:33 -0500

hslogger (1.0.6.0) unstable; urgency=low

  * Compatibility with GHC 6.10.
  * XML Java logger support thanks to Bjorn Buckwalter

 -- John Goerzen <jgoerzen@complete.org>  Fri, 10 Oct 2008 14:26:02 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: hslogger
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.3), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev
-Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.3), ghc6 (>= 6.8), cpphs, libhugs-hunit, libhugs-mtl, libhugs-network
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.8.2dfsg1-1), haskell-devscripts (>= 0.6.15), cpphs, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-hunit-dev, libghc6-time-dev
+Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs (>= 98.200503.08), haskell-devscripts (>= 0.6.15), ghc6 (>= 6.8.2dfsg1-1), cpphs, libhugs-hunit, libhugs-mtl, libhugs-network
 Standards-Version: 3.6.2
 Section: devel
 
 Package: libghc6-hslogger-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev
+Depends: ${haskell:Depends}, libghc6-network-dev, libghc6-unix-dev, libghc6-mtl-dev, libghc6-time-dev
 Suggests: hslogger-doc
 Description: The Haskell Logging Framework, GHC package
  hslogger is a logging framework for Haskell, roughly similar to

## hslogger 1.0.9

=== debian/changelog ===
hslogger (1.0.9-4build4) natty; urgency=low

  * No-change rebuild to build against new library ABIs

 -- Jani Monoses <jani@ubuntu.com>  Wed, 19 Jan 2011 10:10:05 +0200

hslogger (1.0.9-4build3) natty; urgency=low

  * No-change rebuild to pick up new library ABIs

 -- Michael Bienia <geser@ubuntu.com>  Sat, 11 Dec 2010 11:39:51 +0100

hslogger (1.0.9-4build2) maverick; urgency=low

  * No-change rebuild to pick up new library ABIs on armel too.

 -- Michael Bienia <geser@ubuntu.com>  Sun, 29 Aug 2010 10:14:26 +0200

hslogger (1.0.9-4build1) maverick; urgency=low

  * No-change rebuild to pick up new library ABIs

 -- Iain Lane <laney@ubuntu.com>  Thu, 26 Aug 2010 11:56:30 +0100

hslogger (1.0.9-4) unstable; urgency=low

  * Some miscellaneous small fixes, suggested by Iain Lane.

 -- Giovanni Mascellani <gio@debian.org>  Mon, 05 Jul 2010 00:27:24 +0200

hslogger (1.0.9-3) unstable; urgency=low

  * Fields added in debian/control to ensure a smooth transition from the
    old to the new documentation package.

 -- Giovanni Mascellani <gio@debian.org>  Sat, 03 Jul 2010 16:26:20 +0200

hslogger (1.0.9-2) unstable; urgency=low

  * Enabling profiling libraries.
  * Policy version bumped to 3.9.0 (no changes needed)
  * Documentation package renamed according to standard naming scheme
    for Haskell packages
  * Adding support for Haskell auto-generated package relationships
  * Made lintian happier:
    - Package format switched to 3.0 (quilt)
    - Added debian/watch
    - Added Homepage: field to debian/control
    - Removed unnecessary Section: fields from debian/control

 -- Giovanni Mascellani <gio@debian.org>  Sat, 03 Jul 2010 15:41:25 +0200

hslogger (1.0.9-1) unstable; urgency=low

  * New upstream version.
  * Rebuild for GHC 6.12.
  * Drop Hugs support due to broken Hugs cabal support.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 16 Feb 2010 16:15:41 -0600

hslogger (1.0.8-3) unstable; urgency=low

  * debian/rules
    - Convert to hlibrary.mk (dh_haskell was removed to haskell-devscripts).
  * debian/control
    - Depend on haskell-devscripts >= 0.6.18.
    - Move Build-Depends-Indeps to Build-Depends.
    - Add hscolour to build deps.
    - Standards-Version 3.8.3
    - Section haskell.
   * debian/compat
    - Version 5

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue,  1 Dec 2009 05:11:19 +1100

hslogger (1.0.8-2) unstable; urgency=low

  * Rebuild with newer network lib.
  * Convert to team maintenance.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 19 Aug 2009 16:30:52 -0500

hslogger (1.0.8-1) unstable; urgency=low

  * Now non-native package
  * Rebuild with GHC 6.10.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 16 Mar 2009 10:23:03 -0500

=== debian/control ===
Source: hslogger
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 5.0.0),
 cdbs,
 haskell-devscripts (>= 0.7),
 cpphs,
 haddock,
 hscolour,
 ghc6 (>= 6.12),
 ghc6-prof,
 libghc6-mtl-dev,
 libghc6-mtl-prof,
 libghc6-hunit-dev,
 libghc6-hunit-prof,
 libghc6-time-dev,
 libghc6-time-prof,
 libghc6-network-dev,
 libghc6-network-prof
Build-Depends-Indep:
 ghc6-doc,
 libghc6-mtl-doc,
 libghc6-hunit-doc,
 libghc6-time-doc,
 libghc6-network-doc
Standards-Version: 3.9.0
Section: haskell
Homepage: http://hackage.haskell.org/package/hslogger
Vcs-Git: git://git.debian.org/git/pkg-haskell/hslogger.git
Vcs-Browser: http://git.debian.org/?p=pkg-haskell/hslogger.git;a=summary

Package: libghc6-hslogger-dev
Architecture: any
Depends: ${misc:Depends}, ${haskell:Depends}, ${shlibs:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: The Haskell Logging Framework, GHC package
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.

Package: libghc6-hslogger-prof
Architecture: any
Depends: ${misc:Depends}, ${haskell:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: ${haskell:Provides}
Description: The Haskell Logging Framework, GHC profiling libraries
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.
 .
 This package contains the libraries used to profile programs linked
 against hslogger.

Package: libghc6-hslogger-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Suggests: ${haskell:Suggests}
Recommends: ${haskell:Recommends}
Provides: hslogger-doc
Conflicts: hslogger-doc
Replaces: hslogger-doc
Description: The Haskell Logging Framework, API Documentation
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.
 .
 This package contains the API documentation.

## hslogger 1.0.10+dfsg1

=== debian/changelog ===
hslogger (1.0.10+dfsg1-1) unstable; urgency=low

  * Repack original tarball to remove java files with unclear distributability
    status.

 -- Joachim Breitner <nomeata@debian.org>  Wed, 20 Apr 2011 14:18:16 +0530

hslogger (1.0.10-1) unstable; urgency=low

  * s/ghc6/ghc/
  * Use debhelper 7
  * Use more appropriate homepage
  * New upstream version, it seems (gbp is confusing me)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 18 Apr 2011 13:37:11 +0530

## hslogger 1.1.4+dfsg1

=== debian/changelog ===
hslogger (1.1.4+dfsg1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports, only needed revert of the ghc6->ghc
    rename

 -- Iustin Pop <iustin@debian.org>  Thu, 29 Mar 2012 09:05:46 +0200

hslogger (1.1.4+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #627530)

 -- Joachim Breitner <nomeata@debian.org>  Tue, 24 May 2011 15:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,11 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 5.0.0),
+Build-Depends: debhelper (>= 7),
  cdbs,
  haskell-devscripts (>= 0.7),
  cpphs,
- haddock,
- hscolour,
- ghc6 (>= 6.12),
+ ghc6,
  ghc6-prof,
  libghc6-mtl-dev,
  libghc6-mtl-prof,
@@ -17,7 +15,7 @@
  libghc6-time-dev,
  libghc6-time-prof,
  libghc6-network-dev,
- libghc6-network-prof
+ libghc6-network-prof,
 Build-Depends-Indep:
  ghc6-doc,
  libghc6-mtl-doc,
@@ -26,7 +24,7 @@
  libghc6-network-doc
 Standards-Version: 3.9.0
 Section: haskell
-Homepage: http://hackage.haskell.org/package/hslogger
+Homepage: http://software.complete.org/hslogger
 Vcs-Git: git://git.debian.org/git/pkg-haskell/hslogger.git
 Vcs-Browser: http://git.debian.org/?p=pkg-haskell/hslogger.git;a=summary

## hslogger 1.2.1+dfsg1

=== debian/changelog ===
hslogger (1.2.1+dfsg1-2build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 22:50:50 +0100

hslogger (1.2.1+dfsg1-2) unstable; urgency=low

  * Change Vcs headers to Darcs
  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:52:45 +0200

hslogger (1.2.1+dfsg1-1) experimental; urgency=low

  * Imported Upstream version 1.2.1+dfsg1
  * Bump to Standards-Version 3.9.4.
  * Update build-deps.

 -- Clint Adams <clint@debian.org>  Wed, 07 Nov 2012 22:32:31 -0500

hslogger (1.1.4+dfsg1-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joey Hess <joeyh@debian.org>  Tue, 14 Feb 2012 21:33:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,32 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 7),
- cdbs,
- haskell-devscripts (>= 0.7),
- cpphs,
- ghc6,
- ghc6-prof,
- libghc6-mtl-dev,
- libghc6-mtl-prof,
- libghc6-hunit-dev,
- libghc6-hunit-prof,
- libghc6-time-dev,
- libghc6-time-prof,
- libghc6-network-dev,
- libghc6-network-prof,
-Build-Depends-Indep:
- ghc6-doc,
- libghc6-mtl-doc,
- libghc6-hunit-doc,
- libghc6-time-doc,
- libghc6-network-doc
-Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 9)
+ , cdbs
+ , haskell-devscripts (>= 0.8.13)
+ , cpphs
+ , ghc
+ , ghc-prof
+ , libghc-mtl-dev
+ , libghc-mtl-prof
+ , libghc-hunit-dev
+ , libghc-hunit-prof
+ , libghc-time-dev
+ , libghc-time-prof
+ , libghc-network-dev (<< 2.5)
+ , libghc-network-prof
+Build-Depends-Indep: ghc-doc
+ , libghc-mtl-doc
+ , libghc-hunit-doc
+ , libghc-time-doc
+ , libghc-network-doc
+Standards-Version: 3.9.4
 Section: haskell
 Homepage: http://software.complete.org/hslogger
-Vcs-Git: git://git.debian.org/git/pkg-haskell/hslogger.git
-Vcs-Browser: http://git.debian.org/?p=pkg-haskell/hslogger.git;a=summary
+Vcs-Darcs: http://darcs.debian.org/pkg-haskell/hslogger
+Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/hslogger
 
-Package: libghc6-hslogger-dev
+Package: libghc-hslogger-dev
 Architecture: any
 Depends: ${misc:Depends}, ${haskell:Depends}, ${shlibs:Depends}
 Suggests: ${haskell:Suggests}
@@ -43,7 +42,7 @@
  or filter messages based on the priority and source.  hslogger also
  has a syslog handler built in.
 
-Package: libghc6-hslogger-prof
+Package: libghc-hslogger-prof
 Architecture: any
 Depends: ${misc:Depends}, ${haskell:Depends}
 Suggests: ${haskell:Suggests}
@@ -61,7 +60,7 @@
  This package contains the libraries used to profile programs linked
  against hslogger.
 
-Package: libghc6-hslogger-doc
+Package: libghc-hslogger-doc
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${haskell:Depends}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|hslogger-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/hslogger \
    ([\d\.]*\d)/

## hslogger 1.2.8+dfsg1

=== debian/changelog ===
hslogger (1.2.8+dfsg1-3build2) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Jun 2015 12:57:27 +0100

hslogger (1.2.8+dfsg1-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 24 May 2015 09:36:07 +0100

hslogger (1.2.8+dfsg1-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:40 +0200

hslogger (1.2.8+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:55:56 +0200

hslogger (1.2.8+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version, no changes required.

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 10 Mar 2015 10:56:55 -0300

hslogger (1.2.1+dfsg1-3) experimental; urgency=low

  * Adjust watch file to new hackage layout
  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:12:58 +0100

## hslogger 1.2.9%2Bdfsg1

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://hackage.haskell.org/package/hslogger/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hslogger 1.2.9+dfsg1

=== debian/changelog ===
hslogger (1.2.9+dfsg1-3) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:55:22 -0500

hslogger (1.2.9+dfsg1-2) experimental; urgency=medium

  * Depend on old-{locale,time}
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:29:13 +0200

hslogger (1.2.9+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:24:51 +0200

=== debian/control ===
Source: hslogger
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: John Goerzen <jgoerzen@complete.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-network-dev,
 libghc-network-prof,
 libghc-old-locale-dev,
 libghc-old-locale-prof,
Build-Depends-Indep: ghc-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-old-locale-doc,
Standards-Version: 3.9.6
Homepage: http://software.complete.org/hslogger
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: logging framework for Haskell
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.
 .
 This package contains the API documentation.

Package: libghc-hslogger-dev
Architecture: any
Depends: ${misc:Depends},
 ${haskell:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hslogger-prof
Architecture: any
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hslogger-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: hslogger-doc,
Provides: hslogger-doc,
Replaces: hslogger-doc,
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## hslogger 1.2.10+dfsg

=== debian/changelog ===
hslogger (1.2.10+dfsg-3build2) artful; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 09 Jul 2017 14:30:47 +0200

hslogger (1.2.10+dfsg-3build1) zesty; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2017 12:14:52 +0100

hslogger (1.2.10+dfsg-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:37:19 -0400

hslogger (1.2.10+dfsg-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sat, 15 Oct 2016 14:51:32 -0400

hslogger (1.2.10+dfsg-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Wed, 01 Jun 2016 12:48:33 +0200

=== debian/control ===
Source: hslogger
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 John Goerzen <jgoerzen@complete.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-mtl-dev,
 libghc-mtl-prof,
 libghc-network-dev,
 libghc-network-prof,
 libghc-old-locale-dev,
 libghc-old-locale-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-mtl-doc,
 libghc-network-doc,
 libghc-old-locale-doc,
Standards-Version: 3.9.8
Homepage: http://software.complete.org/hslogger
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hslogger
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: logging framework for Haskell
 hslogger is a logging framework for Haskell, roughly similar to
 Python's logging module.
 .
 hslogger lets each log message have a priority and source be associated
 with it.  The programmer can then define global handlers that route
 or filter messages based on the priority and source.  hslogger also
 has a syslog handler built in.
 .
 This package contains the API documentation.

Package: libghc-hslogger-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hslogger-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-hslogger-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 hslogger-doc,
Provides:
 hslogger-doc,
Replaces:
 hslogger-doc,
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
http://hackage.haskell.org/package/hslogger/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hslogger 1.2.12

=== debian/changelog ===
hslogger (1.2.12-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Aug 2019 15:00:18 +0200

hslogger (1.2.12-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2019 15:39:45 -0400

hslogger (1.2.10+dfsg-6) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:39 +0300

hslogger (1.2.10+dfsg-5) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:27:11 +0300

hslogger (1.2.10+dfsg-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:12 -0400

## hslogger 1.2.12+dfsg

=== debian/changelog ===
hslogger (1.2.12+dfsg-1) unstable; urgency=medium

  * Use the right repack version number.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 Apr 2020 21:16:47 +0200

## hslogger 1.3.1.0

=== debian/changelog ===
hslogger (1.3.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 18 Jun 2020 18:13:44 -0400

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,33 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  John Goerzen <jgoerzen@complete.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-mtl-dev,
- libghc-mtl-prof,
- libghc-network-dev,
+ libghc-network-dev (>= 3.0),
+ libghc-network-dev (<< 3.2),
  libghc-network-prof,
- libghc-old-locale-dev,
+ libghc-network-bsd-dev (>= 2.8.1),
+ libghc-network-bsd-dev (<< 2.9),
+ libghc-network-bsd-prof,
+ libghc-old-locale-dev (>= 1.0),
+ libghc-old-locale-dev (<< 1.1),
  libghc-old-locale-prof,
 Build-Depends-Indep:
  ghc-doc,
- libghc-mtl-doc,
  libghc-network-doc,
+ libghc-network-bsd-doc,
  libghc-old-locale-doc,
-Standards-Version: 3.9.8
-Homepage: http://software.complete.org/hslogger
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/hslogger
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Standards-Version: 4.5.0
+Homepage: https://github.com/hvr/hslogger/wiki
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hslogger
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hslogger]
 X-Description: logging framework for Haskell
  hslogger is a logging framework for Haskell, roughly similar to
  Python's logging module.

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*$// \
https://hackage.haskell.org/package/hslogger/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hslogger 1.3.1.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-network-dev (>= 3.0),
@@ -25,7 +25,7 @@
  libghc-network-doc,
  libghc-network-bsd-doc,
  libghc-old-locale-doc,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/hvr/hslogger/wiki
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hslogger
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hslogger]

## hslogger 1.3.1.0+dfsg

=== debian/changelog ===
hslogger (1.3.1.0+dfsg-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Patch for newer dependencies
  * Use the right repack version number

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Jul 2022 15:57:15 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 9.4),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-network-dev (>= 3.0),
@@ -25,7 +25,7 @@
  libghc-network-doc,
  libghc-network-bsd-doc,
  libghc-old-locale-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://github.com/hvr/hslogger/wiki
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hslogger
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hslogger]

## hslogger 1.3.1.1%2Bdfsg

=== debian/changelog ===
hslogger (1.3.1.1+dfsg-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 18 Sep 2024 18:34:10 +0300

hslogger (1.3.1.0+dfsg-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 02 Sep 2023 22:38:39 +0300

## hslogger 1.3.1.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-network-dev (>= 3.0),
- libghc-network-dev (<< 3.2),
+ libghc-network-dev (<< 3.3),
  libghc-network-prof,
  libghc-network-bsd-dev (>= 2.8.1),
  libghc-network-bsd-dev (<< 2.9),
@@ -25,8 +25,8 @@
  libghc-network-doc,
  libghc-network-bsd-doc,
  libghc-old-locale-doc,
-Standards-Version: 4.6.1
-Homepage: https://github.com/hvr/hslogger/wiki
+Standards-Version: 4.7.0
+Homepage: https://github.com/haskell-hvr/hslogger/wiki
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hslogger
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/hslogger]
 X-Description: logging framework for Haskell

## hslogger 1.3.2.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 9.4),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.10),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-network-dev (>= 3.0),
@@ -17,14 +17,10 @@
  libghc-network-bsd-dev (>= 2.8.1),
  libghc-network-bsd-dev (<< 2.9),
  libghc-network-bsd-prof,
- libghc-old-locale-dev (>= 1.0),
- libghc-old-locale-dev (<< 1.1),
- libghc-old-locale-prof,
 Build-Depends-Indep:
  ghc-doc,
  libghc-network-doc,
  libghc-network-bsd-doc,
- libghc-old-locale-doc,
 Standards-Version: 4.7.0
 Homepage: https://github.com/haskell-hvr/hslogger/wiki
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/hslogger

## hslogger 1.3.2.0+dfsg

=== debian/changelog ===
hslogger (1.3.2.0+dfsg-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Tue, 06 Jan 2026 23:10:35 -0500
